#ifndef   LWT_THREAD_HEADER
#define   LWT_THREAD_HEADER

#include "lwt.h"
#include "adt/queuenode.h"

namespace lwt {

class Thread : public lwt::QueueNode<Thread>
{
	public:
	lwt_func func;
	void *ptr1;
	void *ptr2;

	void init(lwt_func f, void *a, void *b)
	{
		func = f;
		ptr1 = a;
		ptr2 = b;
	}
};

} // namespace lwt

#endif /* LWT_THREAD_HEADER */
